Page MenuHomeFreeBSD

Remove some unneeded subroutines for padding writes to dump devices.
ClosedPublic

Authored by markj on Jul 18 2017, 10:33 PM.

Details

Summary

Right now we only need to pad when writing kernel dump headers, so
flatten three subroutines into one. The kerneldumpcrypto code writes out
its key in a dumper.blocksize-sized block.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

markj created this revision.Jul 18 2017, 10:33 PM
cem accepted this revision.Jul 19 2017, 12:13 AM
This revision is now accepted and ready to land.Jul 19 2017, 12:13 AM
def accepted this revision.Aug 3 2017, 9:43 AM
This revision was automatically updated to reflect the committed changes.